Name:		mac-telnet
Version:	0.6.1
Release:	2%{?dist}
Summary:	Tools for MikroTik RouterOS MAC-Telnet protocol

License:	GPLv2
URL:		https://github.com/haakonnessjoen/MAC-Telnet
Source0:	MAC-Telnet-%{version}.tar.gz

Patch1:		MAC-Telnet-0.6.1-ethers.patch
Patch2:		MAC-Telnet-0.6.1-stdc23-compatibility.patch

BuildRequires:	automake, autoconf, gcc, openssl-devel, gettext-devel
BuildRequires:	fakeroot

%define _configure ./autogen.sh

%description
Set of console tools for connecting to and serving devices using the
MikroTik RouterOS MAC-Telnet protocol. This is a proprietary network
protocol used by MikroTik RouterOS devices to provide shell access to
their devices even if the device is not configured with an IP address.

The protocol is based on sending and receiving UDP broadcast packets,
so it is not secure in any means. It should only be used as a last
resort for configuring a device lacking an IP address, or in a secure
network environment.

In addition to a client and server, this project also includes a ping
tool, that can be used to ping RouterOS devices using their MAC
address, and a MNDP tool, that can be used to discover RouterOS and
MAC-Telnet devices on the local network.

%prep
%autosetup -n MAC-Telnet-%{version} -p 1

%build
%configure
%make_build

%install
fakeroot %make_install

%files
%license LICENSE
%doc README.markdown
%attr(600,root,root) %config(noreplace) %{_sysconfdir}/mactelnetd.users
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man1/*
%{_datadir}/locale/*/*/*.mo

%changelog
* Wed Apr 23 2025 Philippe Troin <phil@fifi.org> - 0.6.1-2
- Patch for C23 compatibility.

* Fri Mar 21 2025 Philippe Troin <phil@fifi.org> - 0.6.1-1
- Created.
